    <head>
        <meta charset="utf-8">

        {{ hugo.Generator }}
        <title>{{ block "title" . }}{{ .Site.Title }} {{ with .Params.Title }} | {{ . }}{{ end }}{{ end }}</title>

        {{ if isset .Params "author" }}
            <meta name="author" content="{{ index .Params "author" }}">
        {{ else }}
            <meta name="author" content="{{ .Site.Params.author }}">
        {{ end }}
        <meta name="date" content="{{ now.UTC.Format "2006-01-02 15:04:05 -0700 MST" | safeHTML }}">
        <meta name="description" content="{{ with .Description }}{{ . }}{{ else }}{{ if .IsPage }}{{ .Summary }}{{ else }}{{ with .Site.Params.description }}{{ . }}{{ end }}{{ end }}{{ end }}">
        <meta name="keywords" content="{{ if .Keywords }}{{ delimit .Keywords ", " }}{{ else if and .IsPage .Params.tags }}{{ delimit .Params.tags ", " }}{{ else }}{{ range $term, $val := .Site.Taxonomies.categories }}{{ lower (humanize $term) }}, {{ end }}{{ end }}">

        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">
        <meta http-equiv="expires" content="0">

        {{ with .Site.Params.remoteFonts }}
        <link rel="stylesheet" href="{{ "/fonts/FiraCode_3.1/fira_code.css" }}" media="all">
        <link rel="stylesheet" href="{{ "/fonts/fontawesome-free-5.13.0-web/css/all.css" | relURL }}" media="all">
        <link rel="stylesheet" href="{{ "/fonts/font-logos-v0.12/assets/font-logos.css" | relURL }}" media="all">
        {{ end }}

        {{ $variables := resources.Get "css/variables.css" }}
        {{ $main := resources.Get "css/main.css" }}
        {{ $landing_page := resources.Get "css/landing-page.css" }}
        {{ $news := resources.Get "css/news.css" }}
        {{ $contact := resources.Get "css/contact.css" }}
        {{ $meta := resources.Get "css/meta.css" }}
        {{ $generic_grid := resources.Get "css/generic_grid.css" }}
        {{ $generic_table := resources.Get "css/generic_table.css" }}
        {{ $css := slice $variables $main $landing_page $news $contact $meta $generic_grid $generic_table | resources.Concat "css/hehe-bundle.css" | resources.Minify }}
        <link rel="stylesheet" href="{{ $css.RelPermalink }}" media="all">

        {{ with .Site.Params.favicon_base64 }}
        <link rel="icon" type="image/png" href="data:image/png;base64,{{ . }}">
        {{ else }}
        <link rel="icon" type="image/png" href="/favicon.png">
        {{ end }}

        {{ with .OutputFormats.Get "rss" -}}
        {{ printf `<link rel="%s" type="%s" href="%s" title="%s" />` .Rel .MediaType.Type .RelPermalink $.Site.Title | safeHTML }}
        {{ end -}}

    </head>
